**`Satyabrat`[NAME]** ray -NL- Mobile:**`+91-8050895251`[PHONES_PHONE]** -NL- Email:**`satyaqa.ray92@gmail.com`[EMAILS_EMAIL]** -NL- **`OBJECTIVE:`[SUMMARY_HEADING]** -NL- To obtain a position of responsibilities that utilizes my skills and experience and keen to work in an -NL- environment where I can enrich my knowledge. -NL- **`TECHNICAL SKILLS:`[SKILLS_HEADING]** -NL- ● Automation Tools: Selenium Web Driver -NL- ● Having Experience on Mobile Automation using Appium (selenium 3.8.1) -NL- ● Programming Languages: Core Java -NL- ● Defect Tracking Tool: JIRA -NL- ● Tools: Maven , TestNg, Log4j, sikuli, Robot, Appium, Extent Report. -NL- ● Domain Experience in E-commerce & Banking. -NL- ● Experience in testing Web based application on Firefox & Chrome Browser. -NL- ● Hands on experience in Hybrid Framework using Data Driven, POM and TestNG approach. And -NL- analyze which Test is passed and failed using extent report -NL- ● Currently working in Behavior Driven Development (BDD) with Cucumber framework -NL- ● Experience in Agile development models. -NL- ● Expertise in preparing relative Xpath in Selenium. -NL- ● Experience of Maven integration with Jenkins -NL- ● Expertise in Software Development Life Cycle (SDLC), Software Test Life Cycle (STLC). -NL- ● Expertise in different testing types: Smoke Testing, Functional Testing, Integration Testing, System -NL- Testing, Regression Testing -NL- ● Experience of Test Case Design Techniques. -NL- ● Exposure and good knowledge on Test Plan. -NL- ● Actively attended Sprint planning, Standup & Retrospect meetings. -NL- ● Reviewed test cases and given valuable comments about test case coverage and functionality. -NL- ● Proficient in developing, maintaining and executing test cases for different Black Box Testing -NL- methodologies. -NL- **`EXPERIENCE:`[WORK_EXPERIENCE_HEADING]** -NL-  Currently working as a Software Test Engineer in **`Tata Consultancy Services Pvt Ltd`[EMPLOYER_COMPANY_NAME]**, Bangalore -NL- from 2016 to till date. -NL- **`ACADEMIC QUALIFICATION :`[EDUCATION_HEADING]** -NL-  **`B.TECH`[EDUCATION_DEGREE]** in **`Computer Science Engineering`[EDUCATION_COURSE]** From **`BPUT, Orissa`[EDUCATION_INSTITUTE]** -NL- Project 1: -NL-  Client : **`Bamas`[PROJECT_COMPANY_NAME]** -NL-  Title : **`KEXIM BANK`[PROJECT_TITLE]** -NL-  Role : Test Engineer -NL-  Environment : Selenium WebDriver, TestNG,Core Java, AutoIT, Robot, POI, JXl,Cucumber -NL- Description -NL- It is a web based and provides full service such as personal, corporate and International Banking Services in the -NL- UK and Europe. The Bank delivers its products and services through five branches in the UK and one branch in -NL- Antwerp, Belgium as well as through Internet. The systems would involve the following modules Admin, -NL- Banker, Personal, Corporate and International Banking Services but as part of the first release we would only -NL- concentrate on the given features: Admin Tasks, Banker Tasks and Customer Tasks for personal banking. -NL- Roles and Responsibilities -NL-  Understanding functional requirements -NL-  Responsible for identifying test cases for manual and Automation with Selenium Web Driver for -NL- Smoke Test, Functional and Regression Tests. -NL-  Responsible for writing and maintain Selenium Web Driver scripts for regression and functional -NL- testing. -NL-  Understanding and working on existing framework -NL-  Created Test scripts Using Element locators and Selenium Web Driver methods. -NL-  Design & Develop data driven framework using Selenium Web Driver, TestNG and Apache POI API. -NL-  Used Maven to build and run the Selenium automation framework -NL-  Debugging and executing automation scripts, analyzing the logs and reporting. -NL-  Involved in Analyzing Test Results, Reporting and Tracking Defects. -NL-  Participated in weekly project status meeting -NL-  Developing Appium Scripts for Native Android App using Sel+java -NL-  Identifying Objects of App using UI Automator tool for Android and appium inspector for Iphone. -NL-  Participated in developing common Appium framework for both Android and IOS -NL- **`PERSONAL PROFILE :`[PERSONAL_DETAILS_HEADING]** -NL- Full name :**`Satyabrat`[NAME]** ray -NL- Fathers name :Subash chandra ray -NL- Date of birth :02.june.1992 -NL- E-mail : **`satyaqa.ray92@gmail.com`[EMAILS_EMAIL]** -NL- Nationality : Indian -NL- **`DECLARATION :`[OTHERS_HEADING]** -NL- I,hereby declare that above information made by me is true and complete to the best of my -NL- knowledge and belief. -NL- Place:Bangalore -NL- **`Satyabrat`[NAME]** ray -NL- Date : -NL- 